﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Breadcrumb;

namespace SilverlightApplication2
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.DataContext = new MainPageViewModel();
		}

		private void RadTreeView1_SelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
		{
			if (e.AddedItems.Count > 0 && this.myTreeView.ContainerFromItemRecursive(e.AddedItems[0]) != null)
			{
				this.myBreadcrumb.Path = this.myTreeView.ContainerFromItemRecursive(e.AddedItems[0]).FullPath;
			}
		}

		private void myBreadcrumb_CurrentItemChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			this.myTreeView.BringPathIntoView(this.myBreadcrumb.Path);
			if ((this.myBreadcrumb.CurrentItem as RadBreadcrumbBarItem) != null)
				this.myTreeView.SelectedItem = this.myBreadcrumb.Header;
			else
				this.myTreeView.SelectedItem = this.myBreadcrumb.CurrentItem;
		}
	}
}
